# List subscriptions

모든 반복 정기 결제를 나열합니다.주의이 API 메소드는 높은 부하에서는 사용할 수 없습니다. 최대 부하는 분당 20개의 요청입니다.

  주의이 API 호출에는 project_id 경로 매개 변수가 포함되어 있지 않으므로 회사의 모든 프로젝트에서 유효한 API 키를 사용하여 인증을 설정해야 합니다.

Endpoint: GET /merchants/{merchant_id}/subscriptions
Version: 2.0
Security: basicAuth

## Path parameters:

  - `merchant_id` (integer, required)
    판매자 ID입니다.

## Query parameters:

  - `offset` (integer)
    Number of the element from which the list is generated (the count starts from 0).

  - `limit` (integer, required)
    Limit for the number of elements on the page.

  - `user_id` (string)
    User ID.

  - `project_id[]` (array)
    프로젝트 ID 목록입니다.

  - `plan_id[]` (array)
    정기 결제 요금제 ID 목록입니다.

  - `product_id[]` (array)
    요금제가 연결된 제품 ID 목록입니다.

  - `group_id[]` (array)
    요금제가 연결된 그룹 ID 목록입니다.

  - `status[]` (array)
    Status.
    Enum: "active", "canceled", "non_renewing"

  - `datetime_from` (string)
    Sample date. Use this to find subscriptions created later than the request.

  - `datetime_to` (string)
    Sample date. Use this to find subscriptions created later than the request.

## Response 200 fields (application/json):

  - `charge_amount` (number)
    Billing amount.

  - `comment` (string)
    정기 결제 상태를 변경하는 이유

  - `currency` (string)
    구매 통화입니다. ISO 4217에 따른 3자리 통화 코드입니다.

  - `date_create` (string)
    [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)에 따라 YYYY-MM-DD’T’HH:MM:SS 형식으로 되어 있는 정기 결제 생성 날짜입니다.

  - `date_end` (string)
    [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)에 따라 YYYY-MM-DD’T’HH:MM:SS 형식으로 되어 있는 정기 결제 종료 날짜입니다.

  - `date_last_charge` (string,null)
    [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)에 따라 YYYY-MM-DD’T’HH:MM:SS 형식으로 되어 있는 마지막 정기 결제 요금 청구 날짜입니다.

  - `date_next_charge` (string,null)
    [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)에 따라 YYYY-MM-DD’T’HH:MM:SS 형식으로 되어 있는 다음 정기 결제 요금 청구 날짜입니다.

  - `id` (integer)
    정기 결제 ID

  - `plan` (object)

  - `plan.billing_retry` (object)
    청구 재시도 세부 정보입니다.

  - `plan.billing_retry.value` (integer, required)
    청구 재시도 횟수입니다.

  - `plan.charge` (object)
    청구 세부 정보입니다.

  - `plan.charge.amount` (number)
    Billing amount.

  - `plan.charge.currency` (string)
    구매 통화입니다. [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217)에 따른 3자릿수 통화 코드입니다.

  - `plan.charge.period` (object, required)
    청구 기간입니다.

  - `plan.charge.period.type` (string, required)
    시간 단위입니다. day, month 혹은 lifetime일 수 있습니다.
    Enum: "day", "month", "lifetime"

  - `plan.charge.period.value` (integer, required)
    시간 단위 수입니다. 값은 유형 매개 변수에 따라 달라지며 다음이 될 수 있습니다:type이 day인 경우 1~366, type이 month인 경우 1~12, type이 lifetime인 경우 0

  - `plan.charge.prices` (array)
    다양한 통화로 되어 있는 가격 목록입니다.

  - `plan.charge.prices.amount` (number, required)
    Billing amount.

  - `plan.charge.prices.currency` (string, required)
    구매 통화입니다. [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217)에 따른 3자릿수 통화 코드입니다.

  - `plan.charge.prices.setup_fee` (number)
    첫 청구서의 일부로 청구되는 일회성 설정 수수료입니다.

  - `plan.description` (object)
    요금제 설명입니다. "localization":"plan description" 쌍으로 구성된 값입니다.

  - `plan.description.ar` (string)
    아랍어.

  - `plan.description.bg` (string)
    불가리아어.

  - `plan.description.cn` (string)
    중국어(간체).

  - `plan.description.cs` (string)
    체코어.

  - `plan.description.de` (string)
    독일어.

  - `plan.description.en` (string)
    영어.

  - `plan.description.es` (string)
    스페인어.

  - `plan.description.fr` (string)
    프랑스어.

  - `plan.description.he` (string)
    히브리어.

  - `plan.description.it` (string)
    이탈리아어.

  - `plan.description.ja` (string)
    일본어.

  - `plan.description.ko` (string)
    한국어.

  - `plan.description.pl` (string)
    폴란드어.

  - `plan.description.pt` (string)
    포르투갈어.

  - `plan.description.ro` (string)
    루마니아어.

  - `plan.description.ru` (string)
    러시아어.

  - `plan.description.th` (string)
    태국어.

  - `plan.description.tr` (string)
    터키어.

  - `plan.description.tw` (string)
    중국어(번체).

  - `plan.description.vi` (string)
    베트남어.

  - `plan.expiration` (object)
    정기 결제 만료 세부 정보입니다.

  - `plan.expiration.type` (string, required)
    시간 단위입니다. day 혹은 month일 수 있습니다.
    Enum: "day", "month"

  - `plan.expiration.value` (integer,null, required)
    만료 전 남은 기간입니다.

  - `plan.external_id` (string)
    Plan external ID (32 characters).

  - `plan.grace_period` (object)
    Grace period details.

  - `plan.grace_period.type` (string, required)
    시간 단위입니다. day일 수 있습니다.
    Enum: "day"

  - `plan.grace_period.value` (integer, required)
    Number of time units.

  - `plan.group_id` (string,null)
    이러한 요금제가 연결된 그룹의 ID입니다.

  - `plan.id` (integer)
    정기 결제 요금제 ID입니다.

  - `plan.name` (object)
    요금제 이름입니다. "localization":"plan name" 쌍으로 구성된 값입니다.

  - `plan.name.ar` (string)
    아랍어.

  - `plan.name.bg` (string)
    불가리아어.

  - `plan.name.cn` (string)
    중국어(간체).

  - `plan.name.cs` (string)
    체코어.

  - `plan.name.de` (string)
    독일어.

  - `plan.name.en` (string)
    영어.

  - `plan.name.es` (string)
    스페인어.

  - `plan.name.fr` (string)
    프랑스어.

  - `plan.name.he` (string)
    히브리어.

  - `plan.name.it` (string)
    이탈리아어.

  - `plan.name.ja` (string)
    일본어.

  - `plan.name.ko` (string)
    한국어.

  - `plan.name.pl` (string)
    폴란드어.

  - `plan.name.pt` (string)
    포르투갈어.

  - `plan.name.ro` (string)
    루마니아어.

  - `plan.name.ru` (string)
    러시아어.

  - `plan.name.th` (string)
    태국어.

  - `plan.name.tr` (string)
    터키어.

  - `plan.name.tw` (string)
    중국어(번체).

  - `plan.name.vi` (string)
    베트남어.

  - `plan.project_id` (integer)
    Project ID.

  - `plan.refund_period` (integer,null)
    사용자가 정기 결제 요금제 지급금을 환불할 수 있는 기간(일 단위)입니다.

  - `plan.status` (object)

  - `plan.status.value` (string)
    정기 결제 요금제 상태입니다.
    Enum: "active", "disabled"

  - `plan.tags` (array)
    Plan tags.

  - `plan.trial` (object)
    무료체험 기간 세부 정보입니다.

  - `plan.trial.type` (string, required)
    시간 단위입니다. day일 수 있습니다.
    Enum: "day"

  - `plan.trial.value` (integer, required)
    Number of time units.

  - `product` (object,null)

  - `product.id` (integer,null)
    Product ID the plans are linked to.

  - `product.description` (object)
    현지화된 아이템 설명입니다.

  - `product.description.ar` (string)
    아랍어.

  - `product.description.bg` (string)
    불가리아어.

  - `product.description.cn` (string)
    중국어(간체).

  - `product.description.cs` (string)
    체코어.

  - `product.description.de` (string)
    독일어.

  - `product.description.en` (string)
    영어.

  - `product.description.es` (string)
    스페인어.

  - `product.description.fr` (string)
    프랑스어.

  - `product.description.he` (string)
    히브리어.

  - `product.description.it` (string)
    이탈리아어.

  - `product.description.ja` (string)
    일본어.

  - `product.description.ko` (string)
    한국어.

  - `product.description.pl` (string)
    폴란드어.

  - `product.description.pt` (string)
    포르투갈어.

  - `product.description.ro` (string)
    루마니아어.

  - `product.description.ru` (string)
    러시아어.

  - `product.description.th` (string)
    태국어.

  - `product.description.tr` (string)
    터키어.

  - `product.description.tw` (string)
    중국어(번체).

  - `product.description.vi` (string)
    베트남어.

  - `product.group_id` (string)
    제품이 연결된 그룹의 ID입니다.

  - `product.name` (string)
    제품 이름입니다.

  - `status` (string)
    상태
    Enum: "new", "active", "canceled", "non_renewing", "freeze"

  - `user` (object)

  - `user.id` (string)
    사용자 ID

  - `user.name` (string)
    사용자 이름


